## zowe › config › import

Import config files from another location on disk or from an Internet URL.

If the config `$schema` property points to a relative path, the schema will also be imported.

#### Usage

zowe config import <location> [options]

#### Positional Arguments

- `location` (string)

  - File path or URL to import from.

#### Options

- `--global-config` | `--gc` (boolean)

  - Target the global config files.

    Default value: false

- `--user-config` | `--uc` (boolean)

  - Target the user config files.

    Default value: false

- `--overwrite` | `--ow` (boolean)

  - Overwrite config file if one already exists.

    Default value: false

#### Connection Options

- `--user` | `-u` (string)

  - User name if authentication is required to download the config from a URL.

- `--password` | `--pass` | `--pw` (string)

  - Password if authentication is required to download the config from a URL.

- `--reject-unauthorized` | `--ru` (boolean)

  - Reject self-signed certificates if config is downloaded from an HTTPS URL.

    Default value: true

#### Examples

- Import config from local file on disk:

  - `zowe config import ~/Downloads/zowe.config.json`

- Import global config from Internet URL:

  - `zowe config import https://example.com/zowe.config.json --global-config`